Incluir Categoria de Cliente
curl --request POST \
--url https://api.gestio.com.br/v2/categoriacliente \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"codigoDaCategoria": 1,
"descricaoDaCategoria": "Categoria A"
}
'import requests
url = "https://api.gestio.com.br/v2/categoriacliente"
payload = {
"codigoDaCategoria": 1,
"descricaoDaCategoria": "Categoria A"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({codigoDaCategoria: 1, descricaoDaCategoria: 'Categoria A'})
};
fetch('https://api.gestio.com.br/v2/categoriacliente', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"codigoDaCategoria": 1,
"descricaoDaCategoria": "Categoria A",
"ultimaAtualizacao": "<string>"
}
}{
"success": false,
"errors": [
{
"key": "<string>",
"value": "<string>",
"dateOccurred": "2023-11-07T05:31:56Z"
}
]
}Categoria de Cliente
Incluir Categoria de Cliente
Inclui uma nova categoria de cliente. O código informado não pode já existir para a empresa.
POST
/
v2
/
categoriacliente
Incluir Categoria de Cliente
Campos obrigatórios ausentes ou inválidos retornam
400 com o detalhe em notifications/errors.Authorizations
Envie o token retornado por /v2/autenticar no header Authorization, no formato Bearer {token}.
Body
application/json
Corpo para inclusão de categoria de cliente. O código informado não pode já existir para a empresa.
